=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2005-10-31 17:21:15 +0000
+++ bzrlib/__init__.py	2005-11-23 15:44:24 +0000
@@ -105,5 +105,5 @@
         return None
     
 def test_suite():
-    import selftest
-    return selftest.test_suite()
+    import tests
+    return tests.test_suite()

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-11-23 15:32:07 +0000
+++ bzrlib/builtins.py	2005-11-23 15:44:24 +0000
@@ -1362,7 +1362,7 @@
     def run(self, testspecs_list=None, verbose=False, one=False,
             keep_output=False):
         import bzrlib.ui
-        from bzrlib.selftest import selftest
+        from bzrlib.tests import selftest
         # we don't want progress meters from the tests to go to the
         # real output; and we don't want log messages cluttering up
         # the real logs.

=== renamed directory 'bzrlib/selftest' => 'bzrlib/tests'
=== modified file 'bzrlib/tests/HTTPTestUtil.py'
--- bzrlib/selftest/HTTPTestUtil.py	2005-10-28 19:38:52 +0000
+++ bzrlib/tests/HTTPTestUtil.py	2005-11-23 15:44:24 +0000
@@ -15,7 +15,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 import BaseHTTPServer, SimpleHTTPServer, socket, errno, time
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 
 
 class WebserverNotAvailable(Exception):

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/selftest/__init__.py	2005-11-23 15:32:07 +0000
+++ bzrlib/tests/__init__.py	2005-11-23 15:44:24 +0000
@@ -32,9 +32,9 @@
 import bzrlib.commands
 import bzrlib.trace
 import bzrlib.osutils as osutils
-from bzrlib.selftest import TestUtil
-from bzrlib.selftest.TestUtil import TestLoader, TestSuite
-from bzrlib.selftest.treeshape import build_tree_contents
+from bzrlib.tests import TestUtil
+from bzrlib.tests.TestUtil import TestLoader, TestSuite
+from bzrlib.tests.treeshape import build_tree_contents
 from bzrlib.errors import BzrError
 
 MODULES_TO_TEST = []
@@ -86,7 +86,7 @@
                 what = what[:67] + '...'
         else:
             what = test.id()
-            if what.startswith('bzrlib.selftest.'):
+            if what.startswith('bzrlib.tests.'):
                 what = what[16:]
             if len(what) > 70:
                 what = '...' + what[-67:]
@@ -486,7 +486,7 @@
         super(TestCaseInTempDir, self).setUp()
         self._make_test_root()
         _currentdir = os.getcwdu()
-        short_id = self.id().replace('bzrlib.selftest.', '') \
+        short_id = self.id().replace('bzrlib.tests.', '') \
                    .replace('__main__.', '')
         self.test_dir = os.path.join(self.TEST_ROOT, short_id)
         os.mkdir(self.test_dir)
@@ -524,7 +524,7 @@
                 f.close()
 
     def build_tree_contents(self, shape):
-        bzrlib.selftest.build_tree_contents(shape)
+        bzrlib.tests.build_tree_contents(shape)
 
     def failUnlessExists(self, path):
         """Fail unless path, which may be abs or relative, exists."""
@@ -596,55 +596,55 @@
     # exception is hidden by unittest.  Sucks.  Should either fix that or
     # perhaps import them and pass them to unittest as modules.
     testmod_names = \
-                  ['bzrlib.selftest.MetaTestLog',
-                   'bzrlib.selftest.api',
-                   'bzrlib.selftest.gpg',
-                   'bzrlib.selftest.identitymap',
-                   'bzrlib.selftest.inv',
-                   'bzrlib.selftest.ancestry',
-                   'bzrlib.selftest.commit',
-                   'bzrlib.selftest.command',
-                   'bzrlib.selftest.commit_merge',
-                   'bzrlib.selftest.config',
-                   'bzrlib.selftest.merge3',
-                   'bzrlib.selftest.merge',
-                   'bzrlib.selftest.hashcache',
-                   'bzrlib.selftest.status',
-                   'bzrlib.selftest.log',
-                   'bzrlib.selftest.revisionnamespaces',
-                   'bzrlib.selftest.branch',
-                   'bzrlib.selftest.revision',
-                   'bzrlib.selftest.revision_info',
-                   'bzrlib.selftest.merge_core',
-                   'bzrlib.selftest.smart_add',
-                   'bzrlib.selftest.bad_files',
-                   'bzrlib.selftest.diff',
-                   'bzrlib.selftest.parent',
-                   'bzrlib.selftest.xml',
-                   'bzrlib.selftest.weave',
-                   'bzrlib.selftest.fetch',
-                   'bzrlib.selftest.whitebox',
-                   'bzrlib.selftest.store',
-                   'bzrlib.selftest.blackbox',
-                   'bzrlib.selftest.blackbox.versioning',
-                   'bzrlib.selftest.sampler',
-                   'bzrlib.selftest.transactions',
-                   'bzrlib.selftest.transport',
-                   'bzrlib.selftest.sftp',
-                   'bzrlib.selftest.graph',
-                   'bzrlib.selftest.workingtree',
-                   'bzrlib.selftest.upgrade',
-                   'bzrlib.selftest.uncommit',
-                   'bzrlib.selftest.conflicts',
-                   'bzrlib.selftest.testament',
-                   'bzrlib.selftest.annotate',
-                   'bzrlib.selftest.revprops',
-                   'bzrlib.selftest.options',
-                   'bzrlib.selftest.http',
-                   'bzrlib.selftest.nonascii',
-                   'bzrlib.selftest.reweave',
-                   'bzrlib.selftest.tsort',
-                   'bzrlib.selftest.trace',
+                  ['bzrlib.tests.MetaTestLog',
+                   'bzrlib.tests.test_api',
+                   'bzrlib.tests.test_gpg',
+                   'bzrlib.tests.test_identitymap',
+                   'bzrlib.tests.test_inv',
+                   'bzrlib.tests.test_ancestry',
+                   'bzrlib.tests.test_commit',
+                   'bzrlib.tests.test_command',
+                   'bzrlib.tests.test_commit_merge',
+                   'bzrlib.tests.test_config',
+                   'bzrlib.tests.test_merge3',
+                   'bzrlib.tests.test_merge',
+                   'bzrlib.tests.test_hashcache',
+                   'bzrlib.tests.test_status',
+                   'bzrlib.tests.test_log',
+                   'bzrlib.tests.test_revisionnamespaces',
+                   'bzrlib.tests.test_branch',
+                   'bzrlib.tests.test_revision',
+                   'bzrlib.tests.test_revision_info',
+                   'bzrlib.tests.test_merge_core',
+                   'bzrlib.tests.test_smart_add',
+                   'bzrlib.tests.test_bad_files',
+                   'bzrlib.tests.test_diff',
+                   'bzrlib.tests.test_parent',
+                   'bzrlib.tests.test_xml',
+                   'bzrlib.tests.test_weave',
+                   'bzrlib.tests.test_fetch',
+                   'bzrlib.tests.test_whitebox',
+                   'bzrlib.tests.test_store',
+                   'bzrlib.tests.blackbox',
+                   'bzrlib.tests.blackbox.versioning',
+                   'bzrlib.tests.test_sampler',
+                   'bzrlib.tests.test_transactions',
+                   'bzrlib.tests.test_transport',
+                   'bzrlib.tests.test_sftp',
+                   'bzrlib.tests.test_graph',
+                   'bzrlib.tests.test_workingtree',
+                   'bzrlib.tests.test_upgrade',
+                   'bzrlib.tests.test_uncommit',
+                   'bzrlib.tests.test_conflicts',
+                   'bzrlib.tests.test_testament',
+                   'bzrlib.tests.test_annotate',
+                   'bzrlib.tests.test_revprops',
+                   'bzrlib.tests.test_options',
+                   'bzrlib.tests.test_http',
+                   'bzrlib.tests.test_nonascii',
+                   'bzrlib.tests.test_reweave',
+                   'bzrlib.tests.test_tsort',
+                   'bzrlib.tests.test_trace',
                    ]
 
     for m in (bzrlib.store, bzrlib.inventory, bzrlib.branch,

=== modified file 'bzrlib/tests/blackbox/__init__.py'
--- bzrlib/selftest/blackbox/__init__.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/blackbox/__init__.py	2005-11-23 15:44:24 +0000
@@ -39,8 +39,8 @@
 from bzrlib.clone import copy_branch
 from bzrlib.errors import BzrCommandError
 from bzrlib.osutils import has_symlinks
-from bzrlib.selftest import TestCaseInTempDir, BzrTestBase
-from bzrlib.selftest.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests import TestCaseInTempDir, BzrTestBase
+from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
 
 
 class ExternalBase(TestCaseInTempDir):

=== modified file 'bzrlib/tests/blackbox/versioning.py'
--- bzrlib/selftest/blackbox/versioning.py	2005-11-17 22:12:17 +0000
+++ bzrlib/tests/blackbox/versioning.py	2005-11-23 15:44:24 +0000
@@ -22,7 +22,7 @@
 
 import os
 
-from bzrlib.selftest import BzrTestBase, TestCaseInTempDir
+from bzrlib.tests import BzrTestBase, TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.trace import mutter
 

=== renamed file 'bzrlib/selftest/ancestry.py' => 'bzrlib/tests/test_ancestry.py'
--- bzrlib/selftest/ancestry.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_ancestry.py	2005-11-23 15:44:24 +0000
@@ -19,7 +19,7 @@
 
 from cStringIO import StringIO
 
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.revision import is_ancestor
 

=== renamed file 'bzrlib/selftest/annotate.py' => 'bzrlib/tests/test_annotate.py'
--- bzrlib/selftest/annotate.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_annotate.py	2005-11-23 15:44:24 +0000
@@ -34,7 +34,7 @@
 from bzrlib.clone import copy_branch
 from bzrlib.errors import BzrCommandError
 from bzrlib.osutils import has_symlinks
-from bzrlib.selftest import TestCaseInTempDir, BzrTestBase
+from bzrlib.tests import TestCaseInTempDir, BzrTestBase
 from bzrlib.annotate import annotate_file
 
 

=== renamed file 'bzrlib/selftest/api.py' => 'bzrlib/tests/test_api.py'
--- bzrlib/selftest/api.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_api.py	2005-11-23 15:44:24 +0000
@@ -25,7 +25,7 @@
 import sys
 
 import bzrlib
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 
 class APITests(TestCase):
 

=== renamed file 'bzrlib/selftest/bad_files.py' => 'bzrlib/tests/test_bad_files.py'
--- bzrlib/selftest/bad_files.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_bad_files.py	2005-11-23 15:44:24 +0000
@@ -18,7 +18,7 @@
 """Tests being able to ignore mad filetypes.
 """
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.errors import BadFileKindError
 import os
 

=== renamed file 'bzrlib/selftest/branch.py' => 'bzrlib/tests/test_branch.py'
--- bzrlib/selftest/branch.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_branch.py	2005-11-23 15:44:24 +0000
@@ -22,8 +22,8 @@
 import bzrlib.errors as errors
 from bzrlib.errors import NoSuchRevision, UnlistableBranch, NotBranchError
 import bzrlib.gpg
-from bzrlib.selftest import TestCase, TestCaseInTempDir
-from bzrlib.selftest.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests import TestCase, TestCaseInTempDir
+from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
 from bzrlib.trace import mutter
 import bzrlib.transactions as transactions
 from bzrlib.revision import NULL_REVISION

=== renamed file 'bzrlib/selftest/command.py' => 'bzrlib/tests/test_command.py'
--- bzrlib/selftest/command.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_command.py	2005-11-23 15:44:24 +0000
@@ -14,7 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.commands import display_command
 import errno
 

=== renamed file 'bzrlib/selftest/commit.py' => 'bzrlib/tests/test_commit.py'
--- bzrlib/selftest/commit.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_commit.py	2005-11-23 15:44:24 +0000
@@ -18,7 +18,7 @@
 import os
 
 import bzrlib
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.workingtree import WorkingTree
 from bzrlib.commit import Commit

=== renamed file 'bzrlib/selftest/commit_merge.py' => 'bzrlib/tests/test_commit_merge.py'
--- bzrlib/selftest/commit_merge.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_commit_merge.py	2005-11-23 15:44:24 +0000
@@ -18,11 +18,11 @@
 import os
 import shutil
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.commit import commit
 from bzrlib.errors import PointlessCommit, BzrError, PointlessCommit
-from bzrlib.selftest.revision import make_branches
+from bzrlib.tests.test_revision import make_branches
 from bzrlib.fetch import fetch
 from bzrlib.check import check
 

=== renamed file 'bzrlib/selftest/config.py' => 'bzrlib/tests/test_config.py'
--- bzrlib/selftest/config.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_config.py	2005-11-23 15:44:24 +0000
@@ -25,7 +25,7 @@
 #import bzrlib specific imports here
 import bzrlib.config as config
 import bzrlib.errors as errors
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 
 
 sample_config_text = ("[DEFAULT]\n"
@@ -66,7 +66,7 @@
                         "recurse=False\n"
                         "[/a/c]\n"
                         "check_signatures=ignore\n"
-                        "post_commit=bzrlib.selftest.testconfig.post_commit\n"
+                        "post_commit=bzrlib.tests.test_config.post_commit\n"
                         "#testing explicit beats globs\n")
 
 
@@ -490,7 +490,7 @@
         
     def test_post_commit_default(self):
         self.get_location_config('/a/c')
-        self.assertEqual('bzrlib.selftest.testconfig.post_commit',
+        self.assertEqual('bzrlib.tests.test_config.post_commit',
                          self.my_config.post_commit())
 
 
@@ -588,7 +588,7 @@
             _get_global_config()._get_parser(config_file))
         branch_file = StringIO(sample_branches_text)
         my_config._get_location_config()._get_parser(branch_file)
-        self.assertEqual('bzrlib.selftest.testconfig.post_commit',
+        self.assertEqual('bzrlib.tests.test_config.post_commit',
                          my_config.post_commit())
 
 

=== renamed file 'bzrlib/selftest/conflicts.py' => 'bzrlib/tests/test_conflicts.py'
--- bzrlib/selftest/conflicts.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_conflicts.py	2005-11-23 15:44:24 +0000
@@ -17,7 +17,7 @@
 
 import os
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.commit import Commit
 from bzrlib.conflicts import restore

=== renamed file 'bzrlib/selftest/diff.py' => 'bzrlib/tests/test_diff.py'
--- bzrlib/selftest/diff.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_diff.py	2005-11-23 15:44:24 +0000
@@ -1,4 +1,4 @@
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.diff import internal_diff
 from cStringIO import StringIO
 def udiff_lines(old, new):

=== renamed file 'bzrlib/selftest/fetch.py' => 'bzrlib/tests/test_fetch.py'
--- bzrlib/selftest/fetch.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_fetch.py	2005-11-23 15:44:24 +0000
@@ -18,15 +18,15 @@
 import sys
 
 import bzrlib.errors
-from bzrlib.selftest.revision import make_branches
+from bzrlib.tests.test_revision import make_branches
 from bzrlib.trace import mutter
 from bzrlib.branch import Branch
 from bzrlib.fetch import greedy_fetch
 from bzrlib.merge import merge
 from bzrlib.clone import copy_branch
 
-from bzrlib.selftest import TestCaseInTempDir
-from bzrlib.selftest.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests import TestCaseInTempDir
+from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
 
 
 def has_revision(branch, revision_id):

=== renamed file 'bzrlib/selftest/gpg.py' => 'bzrlib/tests/test_gpg.py'
--- bzrlib/selftest/gpg.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_gpg.py	2005-11-23 15:44:24 +0000
@@ -23,7 +23,7 @@
 
 import bzrlib.errors as errors
 import bzrlib.gpg as gpg
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 
 class FakeConfig(object):
 

=== renamed file 'bzrlib/selftest/graph.py' => 'bzrlib/tests/test_graph.py'
--- bzrlib/selftest/graph.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_graph.py	2005-11-23 15:44:24 +0000
@@ -1,4 +1,4 @@
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.graph import node_distances, nodes_by_distance
 
 class TestBase(TestCase):

=== renamed file 'bzrlib/selftest/hashcache.py' => 'bzrlib/tests/test_hashcache.py'
--- bzrlib/selftest/hashcache.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_hashcache.py	2005-11-23 15:44:24 +0000
@@ -17,7 +17,7 @@
 import os
 import sys
 import time
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 
 
 

=== renamed file 'bzrlib/selftest/http.py' => 'bzrlib/tests/test_http.py'
--- bzrlib/selftest/http.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_http.py	2005-11-23 15:44:24 +0000
@@ -1,6 +1,6 @@
 # (C) 2005 Canonical
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.transport.http import HttpTransport
 
 class TestHttpUrls(TestCase):

=== renamed file 'bzrlib/selftest/identitymap.py' => 'bzrlib/tests/test_identitymap.py'
--- bzrlib/selftest/identitymap.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_identitymap.py	2005-11-23 15:44:24 +0000
@@ -21,7 +21,7 @@
 
 #import bzrlib specific imports here
 import bzrlib.errors as errors
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 import bzrlib.identitymap as identitymap
 
 

=== renamed file 'bzrlib/selftest/inv.py' => 'bzrlib/tests/test_inv.py'
--- bzrlib/selftest/inv.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_inv.py	2005-11-23 15:44:24 +0000
@@ -24,7 +24,7 @@
 from bzrlib.inventory import Inventory, ROOT_ID
 import bzrlib.inventory as inventory
 from bzrlib.osutils import has_symlinks, rename
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 
 
 class TestInventory(TestCase):

=== renamed file 'bzrlib/selftest/log.py' => 'bzrlib/tests/test_log.py'
--- bzrlib/selftest/log.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_log.py	2005-11-23 15:44:24 +0000
@@ -17,7 +17,7 @@
 import os
 from cStringIO import StringIO
 
-from bzrlib.selftest import BzrTestBase, TestCaseInTempDir
+from bzrlib.tests import BzrTestBase, TestCaseInTempDir
 from bzrlib.log import LogFormatter, show_log, LongLogFormatter, ShortLogFormatter
 from bzrlib.branch import Branch
 from bzrlib.errors import InvalidRevisionNumber

=== renamed file 'bzrlib/selftest/merge.py' => 'bzrlib/tests/test_merge.py'
--- bzrlib/selftest/merge.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_merge.py	2005-11-23 15:44:24 +0000
@@ -2,7 +2,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib.commit import commit
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.merge import merge
 from bzrlib.errors import UnrelatedBranches, NoCommits, BzrCommandError
 from bzrlib.revision import common_ancestor

=== renamed file 'bzrlib/selftest/merge3.py' => 'bzrlib/tests/test_merge3.py'
--- bzrlib/selftest/merge3.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_merge3.py	2005-11-23 15:44:24 +0000
@@ -15,7 +15,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
-from bzrlib.selftest import TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.merge3 import Merge3
 from bzrlib.errors import CantReprocessAndShowBase
 

=== renamed file 'bzrlib/selftest/merge_core.py' => 'bzrlib/tests/test_merge_core.py'
--- bzrlib/selftest/merge_core.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_merge_core.py	2005-11-23 15:44:24 +0000
@@ -5,7 +5,7 @@
 import stat
 import sys
 
-from bzrlib.selftest import TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.branch import ScratchBranch, Branch
 from bzrlib.errors import (NotBranchError, NotVersionedError,
                            WorkingTreeNotRevision, BzrCommandError)

=== renamed file 'bzrlib/selftest/nonascii.py' => 'bzrlib/tests/test_nonascii.py'
--- bzrlib/selftest/nonascii.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_nonascii.py	2005-11-23 15:44:24 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 
 

=== renamed file 'bzrlib/selftest/options.py' => 'bzrlib/tests/test_options.py'
--- bzrlib/selftest/options.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_options.py	2005-11-23 15:44:24 +0000
@@ -1,6 +1,6 @@
 # (C) 2005 Canonical
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.commands import Command, parse_args
 from bzrlib.builtins import cmd_commit, cmd_log, cmd_status
 

=== renamed file 'bzrlib/selftest/parent.py' => 'bzrlib/tests/test_parent.py'
--- bzrlib/selftest/parent.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_parent.py	2005-11-23 15:44:24 +0000
@@ -16,7 +16,7 @@
 
 
 import os
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.clone import copy_branch
 

=== renamed file 'bzrlib/selftest/plugins.py' => 'bzrlib/tests/test_plugins.py'
--- bzrlib/selftest/plugins.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_plugins.py	2005-11-23 15:44:24 +0000
@@ -23,7 +23,7 @@
 
 import os
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 
 class PluginTest(TestCaseInTempDir):
     """Create an external plugin and test loading."""

=== renamed file 'bzrlib/selftest/revision.py' => 'bzrlib/tests/test_revision.py'
--- bzrlib/selftest/revision.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_revision.py	2005-11-23 15:44:24 +0000
@@ -17,7 +17,7 @@
 
 import os
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.commit import commit
 from bzrlib.fetch import fetch

=== renamed file 'bzrlib/selftest/revision_info.py' => 'bzrlib/tests/test_revision_info.py'
--- bzrlib/selftest/revision_info.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_revision_info.py	2005-11-23 15:44:24 +0000
@@ -15,7 +15,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 import os
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.errors import BzrCommandError, NoSuchRevision
 from bzrlib.branch import Branch
 from bzrlib.revisionspec import RevisionSpec

=== renamed file 'bzrlib/selftest/revisionnamespaces.py' => 'bzrlib/tests/test_revisionnamespaces.py'
--- bzrlib/selftest/revisionnamespaces.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_revisionnamespaces.py	2005-11-23 15:44:24 +0000
@@ -18,7 +18,7 @@
 import time
 
 from bzrlib.branch import Branch
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.errors import NoCommonAncestor, NoCommits
 from bzrlib.errors import NoSuchRevision
 from bzrlib.clone import copy_branch

=== renamed file 'bzrlib/selftest/revprops.py' => 'bzrlib/tests/test_revprops.py'
--- bzrlib/selftest/revprops.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_revprops.py	2005-11-23 15:44:24 +0000
@@ -3,7 +3,7 @@
 """Tests for revision properties."""
 
 from bzrlib.branch import Branch
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 
 class TestRevProps(TestCaseInTempDir):
     def test_simple_revprops(self):

=== renamed file 'bzrlib/selftest/reweave.py' => 'bzrlib/tests/test_reweave.py'
--- bzrlib/selftest/reweave.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_reweave.py	2005-11-23 15:44:24 +0000
@@ -34,7 +34,7 @@
 import os
 import sys
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.weave import Weave, reweave
 from bzrlib.errors import WeaveParentMismatch
 

=== renamed file 'bzrlib/selftest/sampler.py' => 'bzrlib/tests/test_sampler.py'
--- bzrlib/selftest/sampler.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_sampler.py	2005-11-23 15:44:24 +0000
@@ -20,7 +20,7 @@
 If you need more than one line, make the first line a good sentence on its
 own and add more explanation here, like this.
 
-Be sure to register your new test script in bzrlib/selftest/__init__.py -
+Be sure to register your new test script in bzrlib/tests/__init__.py -
 search for sampler in there.
 """
 
@@ -29,7 +29,7 @@
 import sys
 
 #import bzrlib specific imports here
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 
 
 # Now we need a test script:

=== renamed file 'bzrlib/selftest/sftp.py' => 'bzrlib/tests/test_sftp.py'
--- bzrlib/selftest/sftp.py	2005-11-23 13:40:57 +0000
+++ bzrlib/tests/test_sftp.py	2005-11-23 15:44:24 +0000
@@ -19,8 +19,8 @@
 import threading
 import unittest
 
-from bzrlib.selftest import TestCaseInTempDir
-from bzrlib.selftest.transport import TestTransportMixIn
+from bzrlib.tests import TestCaseInTempDir
+from bzrlib.tests.test_transport import TestTransportMixIn
 
 try:
     import paramiko

=== renamed file 'bzrlib/selftest/smart_add.py' => 'bzrlib/tests/test_smart_add.py'
--- bzrlib/selftest/smart_add.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_smart_add.py	2005-11-23 15:44:24 +0000
@@ -1,7 +1,7 @@
 import os
 import unittest
 
-from bzrlib.selftest import TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.branch import Branch
 from bzrlib.errors import NotBranchError
 from bzrlib.inventory import InventoryFile

=== renamed file 'bzrlib/selftest/status.py' => 'bzrlib/tests/test_status.py'
--- bzrlib/selftest/status.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_status.py	2005-11-23 15:44:24 +0000
@@ -21,7 +21,7 @@
 """
 
 
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.revisionspec import RevisionSpec
 from bzrlib.merge import merge
 from cStringIO import StringIO

=== renamed file 'bzrlib/selftest/store.py' => 'bzrlib/tests/test_store.py'
--- bzrlib/selftest/store.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_store.py	2005-11-23 15:44:24 +0000
@@ -25,7 +25,7 @@
 from bzrlib.transport.local import LocalTransport
 from bzrlib.transport import NoSuchFile
 from bzrlib.store.text import TextStore
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 import bzrlib.store as store
 import bzrlib.transport as transport
 from bzrlib.transport.memory import MemoryTransport

=== renamed file 'bzrlib/selftest/testament.py' => 'bzrlib/tests/test_testament.py'
--- bzrlib/selftest/testament.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_testament.py	2005-11-23 15:44:24 +0000
@@ -22,8 +22,8 @@
 from sha import sha
 import sys
 
-from bzrlib.selftest import TestCaseInTempDir
-from bzrlib.selftest.treeshape import build_tree_contents
+from bzrlib.tests import TestCaseInTempDir
+from bzrlib.tests.treeshape import build_tree_contents
 from bzrlib.branch import Branch
 from bzrlib.testament import Testament
 from bzrlib.trace import mutter

=== renamed file 'bzrlib/selftest/trace.py' => 'bzrlib/tests/test_trace.py'
--- bzrlib/selftest/trace.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_trace.py	2005-11-23 15:44:24 +0000
@@ -22,7 +22,7 @@
 import os
 import sys
 
-from bzrlib.selftest import TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.trace import format_exception_short
 from bzrlib.errors import NotBranchError
 

=== renamed file 'bzrlib/selftest/transactions.py' => 'bzrlib/tests/test_transactions.py'
--- bzrlib/selftest/transactions.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_transactions.py	2005-11-23 15:44:24 +0000
@@ -23,7 +23,7 @@
 
 #import bzrlib specific imports here
 import bzrlib.errors as errors
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 import bzrlib.transactions as transactions
 
 

=== renamed file 'bzrlib/selftest/transport.py' => 'bzrlib/tests/test_transport.py'
--- bzrlib/selftest/transport.py	2005-11-18 21:01:53 +0000
+++ bzrlib/tests/test_transport.py	2005-11-23 15:44:24 +0000
@@ -20,8 +20,8 @@
 
 from bzrlib.errors import (NoSuchFile, FileExists, TransportNotPossible,
                            ConnectionError)
-from bzrlib.selftest import TestCase, TestCaseInTempDir
-from bzrlib.selftest.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests import TestCase, TestCaseInTempDir
+from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
 from bzrlib.transport import memory, urlescape
 
 

=== renamed file 'bzrlib/selftest/tsort.py' => 'bzrlib/tests/test_tsort.py'
--- bzrlib/selftest/tsort.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_tsort.py	2005-11-23 15:44:24 +0000
@@ -20,7 +20,7 @@
 import os
 import sys
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.tsort import topo_sort
 from bzrlib.errors import GraphCycleError
 

=== renamed file 'bzrlib/selftest/uncommit.py' => 'bzrlib/tests/test_uncommit.py'
--- bzrlib/selftest/uncommit.py	2005-11-23 15:32:07 +0000
+++ bzrlib/tests/test_uncommit.py	2005-11-23 15:44:24 +0000
@@ -1,7 +1,7 @@
 """\
 Test the uncommit command.
 """
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.errors import BzrError
 
 class TestUncommit(TestCaseInTempDir):

=== renamed file 'bzrlib/selftest/upgrade.py' => 'bzrlib/tests/test_upgrade.py'
--- bzrlib/selftest/upgrade.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_upgrade.py	2005-11-23 15:44:24 +0000
@@ -23,11 +23,11 @@
 import os
 import sys
 
-from bzrlib.selftest import TestCase, TestCaseInTempDir
+from bzrlib.tests import TestCase, TestCaseInTempDir
 from bzrlib.branch import Branch
 from bzrlib.revision import is_ancestor
 from bzrlib.upgrade import upgrade
-from bzrlib.selftest.treeshape import build_tree_contents
+from bzrlib.tests.treeshape import build_tree_contents
 
 
 class TestUpgrade(TestCaseInTempDir):

=== renamed file 'bzrlib/selftest/weave.py' => 'bzrlib/tests/test_weave.py'
--- bzrlib/selftest/weave.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_weave.py	2005-11-23 15:44:24 +0000
@@ -28,7 +28,7 @@
 import bzrlib.errors as errors
 from bzrlib.weave import Weave, WeaveFormatError, WeaveError, reweave
 from bzrlib.weavefile import write_weave, read_weave
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.osutils import sha_string
 
 

=== renamed file 'bzrlib/selftest/whitebox.py' => 'bzrlib/tests/test_whitebox.py'
--- bzrlib/selftest/whitebox.py	2005-11-07 20:17:57 +0000
+++ bzrlib/tests/test_whitebox.py	2005-11-23 15:44:24 +0000
@@ -1,7 +1,7 @@
 import os
 import unittest
 
-from bzrlib.selftest import TestCaseInTempDir, TestCase
+from bzrlib.tests import TestCaseInTempDir, TestCase
 from bzrlib.branch import ScratchBranch, Branch
 from bzrlib.errors import NotBranchError
 

=== renamed file 'bzrlib/selftest/workingtree.py' => 'bzrlib/tests/test_workingtree.py'
--- bzrlib/selftest/workingtree.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_workingtree.py	2005-11-23 15:44:24 +0000
@@ -18,7 +18,7 @@
 import os
 from bzrlib.branch import Branch
 from bzrlib.errors import NotVersionedError
-from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir
 from bzrlib.trace import mutter
 from bzrlib.workingtree import (TreeEntry, TreeDirectory, TreeFile, TreeLink,
                                 WorkingTree)

=== renamed file 'bzrlib/selftest/xml.py' => 'bzrlib/tests/test_xml.py'
--- bzrlib/selftest/xml.py	2005-11-18 16:16:38 +0000
+++ bzrlib/tests/test_xml.py	2005-11-23 15:44:24 +0000
@@ -16,7 +16,7 @@
 
 from cStringIO import StringIO
 
-from bzrlib.selftest import TestCase
+from bzrlib.tests import TestCase
 from bzrlib.inventory import Inventory, InventoryEntry
 from bzrlib.xml4 import serializer_v4
 from bzrlib.xml5 import serializer_v5

